%define anolis_release 4
%global enginesdir %(pkg-config --variable=enginesdir libcrypto)
%global githubname QAT_Engine

Name:           qatengine
Version:        0.6.16
Release:        %{anolis_release}%{?dist}
Summary:        Intel® QuickAssist Technology OpenSSL* Engine(QAT_Engine)
License:        BSD and OpenSSL
URL:            https://github.com/intel/%{githubname}
Source0:        https://github.com/intel/%{githubname}/archive/v%{version}/v%{version}.tar.gz

BuildRequires:  gcc make pkg-config autoconf automake libtool openssl-devel >= 1.1.1
BuildRequires:  intel-ipp-crypto-mb-devel intel-ipsec-mb-devel

ExclusiveArch:  x86_64

%description
The %{name} provides the Intel QuickAssist Technology OpenSSL Engine (an
OpenSSL Plug-In Engine). Intel® QuickAssist Technology OpenSSL* Engine
(QAT_Engine) supports acceleration for both hardware as well as optimized
software based on vectorized instructions. This change starting with the
3rd Generation Intel® Xeon® Scalable Processors family provides users more
options to accelerate their workloads. The QAT OpenSSL* engine now supports
the ability to accelerate from the stand OpenSSL* to basic Intel instruction
set, to either Hardware acceleration path (via the qat_hw path) or via the
optimized SW path (qat_sw lib). 

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{githubname}-%{version} -p1

%build
autoreconf -ivf
%configure --enable-qat_sw --disable-qat_hw
%make_build

%install
%make_install

%generate_compatibility_deps

%files
%license LICENSE*
%dir %{abidir}
%{abidir}/%{name}.dump
%{enginesdir}/%{name}.so

%files doc
%doc README.md docs*

%changelog
* Sat Apr 15 2023 Jing Zhang <renyu.zj@linux.alibaba.com> - 0.6.16-4
- Refact spec

* Tue Oct 25 2022 happy_orange <songnannan@linux.alibaba.com> - 0.6.16-3
- enable qat_sw and disable qat_hw

* Tue Oct 18 2022 happy_orange <songnannan@linux.alibaba.com> - 0.6.16-2
- delete scripts of la and change abi.

* Thu Oct 13 2022 happy_orange <songnannan@linux.alibaba.com> - 0.6.16-1
- Init package from upstream
